<?php
/**
 * @package		Zen Tools
 * @subpackage	Zen Tools
 * @author		Joomla Bamboo - design@joomlabamboo.com
 * @copyright 	Copyright (c) 2012 Joomla Bamboo. All rights reserved.
 * @license		GNU General Public License version 2 or later
 * @version		1.6.2
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

defined('DS') or define('DS', DIRECTORY_SEPARATOR);

require_once(JPATH_SITE.DS.'modules'.DS.'mod_zentools'.DS.'includes'.DS.'zenhelper.php');

class JElementScripts extends JElement {

	var	$_name = 'scripts';

	function fetchElement( $name, $value, &$node, $control_name )
	{

		ob_start();
		JHTML::_('behavior.modal');

		$document = JFactory::getDocument();
		$document->addScript(''.JURI::root(true).'/modules/mod_zentools/js/admin/jquery-1.8.1.min.js');
		$document->addScript(''.JURI::root(true).'/modules/mod_zentools/js/admin/jquery.noconflict.js');
		$document->addScript(''.JURI::root(true).'/modules/mod_zentools/js/admin/jquery-ui-1.8.23.custom.min.js');
		$document->addScript(''.JURI::root(true).'/modules/mod_zentools/js/admin/scripts15.js');
		$document->addScript(''.JURI::root(true).'/modules/mod_zentools/js/admin/sortables15.js');

		// Check to see if k2 is installed.
		$k2 = ZenHelper::isK2Installed();

		// Sets variables so we can check if framework or library is present
		$jblibrary = JPATH_SITE.DS.'media'.DS.'plg_jblibrary'.DS.'helpers'.DS.'image.php';
		$framework = JPATH_SITE.DS.'media'.DS.'zengridframework'.DS.'helpers'.DS.'image.php';


		if(!(file_exists($framework) or file_exists($jblibrary))) {
			echo "<div class='zennotice'>You need to install the <a href='http://www.joomlabamboo.com/downloads/zen-grid-framework-downloads' target='_blank'>Zen Grid Framework plugin</a> or the <a href='http://www.joomlabamboo.com/joomla-extensions/jb-library-plugin-a-free-joomla-jquery-plugin' target='_blank'>JB Library plugin</a> to use this module.</div>";
		}

		?>
		<script type="text/javascript">

			// Hide / Show relevant panels on page load
			jQuery(document).ready(function() {
				<?php if($k2) { ?>
					jQuery("#paramscontentSource3").show();
					jQuery("#paramscontentSource3").next().show();
				<?php }
				else { ?>
					jQuery("#paramscontentSource3").hide();
					jQuery("#paramscontentSource3").next().hide();
				<?php } ?>
			});


		</script>
		<div id="zentools">
		<?php

		return ob_get_clean();
	}

	function fetchTooltip($label, $description, &$node, $control_name, $name){
		// Output
		return '&nbsp;';
	}
}
