<?php
/**
 * @package		com_contactenhanced
* @copyright	Copyright (C) 2006 - 2013 Ideal Extensions for Joomla
 * @author     Douglas Machado {@link http://idealextensions.com}
 * @license		GNU GPL 2 or later; see LICENSE.txt
 */

// no direct access
defined('_JEXEC') or die;
	
JHTML::_('stylesheet','administrator/components/com_contactenhanced/assets/css/contact_enhanced.css', array(), false);

// Access check.
if (!JFactory::getUser()->authorise('core.manage', 'com_contactenhanced')) {
	return JError::raiseWarning(404, JText::_('JERROR_ALERTNOAUTHOR'));
}
require_once (JPATH_ROOT.'/components/com_contactenhanced/helpers/helper.php');

// Include dependancies
jimport('joomla.application.component.controller');

$jversion = new JVersion();
if( version_compare( $jversion->getShortVersion(), '2.5.5', 'lt' ) AND !class_exists('JControllerLegacy') ) {
	require_once (JPATH_COMPONENT.'/legacy/controller.php');
	
}

$lang = JFactory::getLanguage();
//Load English always, useful if file is partially translated
$lang->load('com_contactenhanced',		JPATH_ADMINISTRATOR.'/components/com_contactenhanced', 'en-GB');
$lang->load('com_contactenhanced',		JPATH_ADMINISTRATOR.'/components/com_contactenhanced',	null,	true);
$lang->load('com_contactenhanced.sys',	JPATH_ADMINISTRATOR.'/components/com_contactenhanced', 'en-GB');
$lang->load('com_contactenhanced.sys',	JPATH_ADMINISTRATOR.'/components/com_contactenhanced',	null,	true);
$lang->load('com_contactenhanced.menu',	JPATH_ADMINISTRATOR.'/components/com_contactenhanced', 'en-GB');
$lang->load('com_contactenhanced.menu',	JPATH_ADMINISTRATOR.'/components/com_contactenhanced',	null,	true);


$controller = JControllerLegacy::getInstance('Contactenhanced');
$controller->execute(JRequest::getCmd('task'));

$controller->redirect();
