<?php 
/**
 * @version		2.5.0
 * @package		com_contactenhanced
 * @subpackage	mod_admin_ce_latest
 * @copyright	Copyright (C) 2005 - 2013 IdealExtensions.com. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

// no direct access
defined('_JEXEC') or die('Restricted access');


$document = JFactory::getDocument();
$document->addStylesheet(JURI::base(true).'/administrator/components/com_contactenhanced/assets/css/contact_enhanced.css');
$mainframe	= JFactory::getApplication();

?>
<table class="adminlist">
	<thead>
		<tr>
			<th>
				<?php echo JText::_('CE_MSG_SUBJECT'); ?>
			</th>
			<!-- th>
				<strong><?php //echo JText::_('JSTATUS'); ?></strong>
			</th  -->
			<th>
				<strong><?php echo JText::_('CE_MSG_NAME'); ?></strong>
			</th>
			<th>
				<strong><?php echo JText::_('JDATE');?></strong>
			</th>
		</tr>
	</thead>
	<tbody>
<?php if (count($list) > 0) : ?>
	
	<?php foreach ($list as $i=>$item) : ?>
		<tr>
			<th scope="row">

				<?php if ($item->link) :?>
					<a href="<?php echo $item->link; ?>">
						<?php echo htmlspecialchars($item->subject, ENT_QUOTES, 'UTF-8');?></a>
				<?php else :
					echo htmlspecialchars($item->subject, ENT_QUOTES, 'UTF-8');
				endif; ?>
			</th>
			<!-- td class="center">
				<?php //echo JHtml::_('jgrid.published', $item->state, $i, '', false); ?>
			</td -->
			<th class="center">
				<?php echo $item->from_name;?>
			</th>
			<th class="center">
				<?php echo $item->time_ago; ?>
			</th>
		</tr>
		<?php endforeach; ?>
	
<?php else: ?>
	 <tr>
	 	<td colspan="3" style="text-align:center">
	 		<h3><?php echo JText::_('COM_CONTACTENHANCED_NO_FORM_SUBMITTED'); ?></h3>  
	 	</td>
	 </tr>
<?php endif; ?>
	</tbody>
</table>
