<?php
/**
 * @version		1.6.0
 * @package		com_contactenhanced
 * @copyright	Copyright (C) 2006 - 2010 Ideal Custom Software Development
 * @license		GNU GPL 2 or later; see LICENSE.txt
 */

// no direct access
defined('_JEXEC') or die;


$allowedFormat = array('html', 'csv', 'xml', 'csv', 'vcf');
// Make it ignore other formats
if(JRequest::getVar('format')  AND !in_array(JRequest::getVar('format') , $allowedFormat)){
	JRequest::setVar('format','html');
}
$allowedTMPL = array('','component','raw');
if(JRequest::getCmd('tmpl') AND !in_array(JRequest::getCmd('tmpl'),$allowedTMPL)){
	JRequest::setVar('tmpl', 'component');
}


jimport('joomla.application.component.controller');
JHTML::addIncludePath(JPATH_COMPONENT.'/helpers/html');
require_once JPATH_COMPONENT.'/controller.php';
require_once JPATH_COMPONENT.'/helpers/route.php';
require_once JPATH_COMPONENT.'/helpers/helper.php';


$jversion = new JVersion();
if( version_compare( $jversion->getShortVersion(), '2.5.5', 'lt' ) ) {
	$controller = JController::getInstance('Contactenhanced');
}else{
	$controller = JControllerLegacy::getInstance('Contactenhanced');
}
$controller->execute(JRequest::getCmd('task'));
$controller->redirect();
