<?php
/**
 * @version		1.6.0
 * @package		com_contactenhanced
 * @copyright	Copyright (C) 2006 - 2010 Ideal Custom Software Development
 * @license		GNU GPL 2 or later; see LICENSE.txt
 */

// no direct access
defined('_JEXEC') or die;

JHtml::addIncludePath(JPATH_COMPONENT.'/helpers');

// If the page class is defined, wrap the whole output in a div.
$pageClass = $this->params->get('pageclass_sfx');
?>
<div class="categories-list<?php echo $pageClass;?>"  id="ce-container">
<?php echo ceHelper::loadModulePosition('ce-before-title');  ?>
<?php if ($this->params->get('show_page_heading', 1)) : ?>
<h1>
	<?php echo $this->escape($this->params->get('page_heading')); ?>
</h1>
<?php endif;?>

<?php if ($this->params->get('show_print_icon')) : ?>
	<ul class="actions">
	<?php if (!$this->print) : ?>
		<?php if ($this->params->get('show_print_icon')) : ?>
			<li class="print-icon">
			<?php echo JHtml::_('ceicon.print_popup'
						,'index.php?option=com_contactenhanced&print=1&tmpl=component&view=categories&layout=contacts&id='.$this->parent->id
						, $this->params); ?>
			</li>
		<?php endif; ?>
	<?php else : ?>
		<li>
		<?php echo JHtml::_('CEIcon.print_screen'
						,''
						, $this->params); ?>
		</li>
	<?php endif; ?>
	</ul>
<?php endif; ?>
	<?php echo ceHelper::loadModulePosition('ce-after-title');  ?>
	<?php if ($this->params->get('show_base_description')) : ?>
	<?php 	//If there is a description in the menu parameters use that; ?>
		<?php if($this->params->get('categories_description')) : ?>
		<div class="category-desc base-desc">
			<?php echo  JHtml::_('content.prepare',$this->params->get('categories_description')); ?>
			</div>
		<?php  else: ?>
			<?php //Otherwise get one from the database if it exists. ?>
			<?php  if ($this->parent->description) : ?>
				<div class="category-desc base-desc">
					<?php  echo JHtml::_('content.prepare', $this->parent->description); ?>
				</div>
			<?php  endif; ?>
		<?php  endif; ?>
	<?php endif; ?>
<?php
	foreach($this->items as $category){
		if(is_array($category)){
			foreach ($category as $cat){
				$this->category	= &$cat;
				echo $this->loadTemplate('category');
			}
		}else{
			$this->category	= &$category;
			echo $this->loadTemplate('category');
		}
	}
 ?>
</div>