<?php
/**
 * @version		1.6.0
 * @package		com_contactenhanced
 * @copyright	Copyright (C) 2006 - 2010 Ideal Custom Software Development
 * @license		GNU GPL 2 or later; see LICENSE.txt
 */

// no direct access
defined('_JEXEC') or die;

JHTML::_('behavior.framework');
JHTML::_('behavior.tooltip');

	$listOrder	= $this->state->get('list.ordering');
	$listDirn	= $this->state->get('list.direction');
?>
<?php if (empty($this->category->contacts)) : ?>
	<p> <?php echo JText::_('COM_CONTACTENHANCED_NO_CONTACTS'); ?>	 </p>
<?php else : ?>

<?php if(!defined('CE_CATEGORY_CONTACT_BEGIN_FORM')) :

?>
	<form action="<?php echo htmlspecialchars(JFilterOutput::ampReplace(JFactory::getURI()->toString())); ?>"
		method="post" name="adminForm" id="adminForm">


<?php
define('CE_CATEGORY_CONTACT_BEGIN_FORM',true);
endif; ?>

	<table class="category">
		<?php if ($this->params->get('show_headings')) :
		$allowOrdering = ($this->params->get('show_headings') == 'ordering' ? true : false);
		?>
		<thead><tr>

			<th class="item-title">
				<?php
				if($allowOrdering){
					echo JHtml::_('grid.sort', 'COM_CONTACTENHANCED_CONTACT_EMAIL_NAME', 'a.name', $listDirn, $listOrder);
				}else{
					echo JText::_('COM_CONTACTENHANCED_CONTACT_EMAIL_NAME');
				}
				?>
			</th>
			<?php if ($this->params->get('show_department_headings')) : ?>
			<th class="item-department">
				<?php
				if($allowOrdering){
					echo JHtml::_('grid.sort', 'COM_CONTACTENHANCED_DEPARTMENT', 'a.department', $listDirn, $listOrder);
				}else{
					echo JText::_('COM_CONTACTENHANCED_DEPARTMENT');
				}
				?>
			</th>
			<?php endif; ?>

			<?php if ($this->params->get('show_position_headings')) : ?>
			<th class="item-position">
				<?php
				if($allowOrdering){
					echo JHtml::_('grid.sort', 'COM_CONTACTENHANCED_POSITION', 'a.con_position', $listDirn, $listOrder);
				}else{
					echo JText::_('COM_CONTACTENHANCED_POSITION');
				}
				?>
			</th>
			<?php endif; ?>
			<?php if ($this->params->get('show_email_headings')) : ?>
			<th class="item-email">
				<?php echo JText::_('JGLOBAL_EMAIL'); ?>
			</th>
			<?php endif; ?>
			<?php if ($this->params->get('show_telephone_headings')) : ?>
			<th class="item-phone">
				<?php echo JText::_('COM_CONTACTENHANCED_TELEPHONE'); ?>
			</th>
			<?php endif; ?>

			<?php if ($this->params->get('show_mobile_headings')) : ?>
			<th class="item-phone">
				<?php echo JText::_('COM_CONTACTENHANCED_MOBILE'); ?>
			</th>
			<?php endif; ?>

			<?php if ($this->params->get('show_fax_headings')) : ?>
			<th class="item-phone">
				<?php echo JText::_('COM_CONTACTENHANCED_FAX'); ?>
			</th>
			<?php endif; ?>

			<?php if ($this->params->get('show_street_address_headings')) : ?>
			<th class="item-street-address">
				<?php
				if($allowOrdering){
					echo JHtml::_('grid.sort', 'COM_CONTACTENHANCED_ADDRESS', 'a.address', $listDirn, $listOrder);
				}else{
					echo JText::_('COM_CONTACTENHANCED_ADDRESS');
				}
				?>
			</th>
			<?php endif; ?>


			<?php if ($this->params->get('show_suburb_headings')) : ?>
			<th class="item-suburb">
				<?php
				if($allowOrdering){
					echo JHtml::_('grid.sort', 'COM_CONTACTENHANCED_SUBURB', 'a.suburb', $listDirn, $listOrder);
				}else{
					echo JText::_('COM_CONTACTENHANCED_SUBURB');
				}
				?>
			</th>
			<?php endif; ?>

			<?php if ($this->params->get('show_state_headings')) : ?>
			<th class="item-state">
				<?php
				if($allowOrdering){
					echo JHtml::_('grid.sort', 'COM_CONTACTENHANCED_STATE', 'a.state', $listDirn, $listOrder);
				}else{
					echo JText::_('COM_CONTACTENHANCED_STATE');
				}
				?>
			</th>
			<?php endif; ?>


			<?php if ($this->params->get('show_postcode_headings')) : ?>
			<th class="item-postcode">
				<?php
				if($allowOrdering){
					echo JHtml::_('grid.sort', 'COM_CONTACTENHANCED_POSTCODE', 'a.postcode', $listDirn, $listOrder);
				}else{
					echo JText::_('COM_CONTACTENHANCED_POSTCODE');
				}
				?>
			</th>
			<?php endif; ?>

			<?php if ($this->params->get('show_country_headings')) : ?>
			<th class="item-country">
				<?php
				if($allowOrdering){
					echo JHtml::_('grid.sort', 'COM_CONTACTENHANCED_COUNTRY', 'a.country', $listDirn, $listOrder);
				}else{
					echo JText::_('COM_CONTACTENHANCED_COUNTRY');
				}
				?>
			</th>
			<?php endif; ?>

			<?php if ($this->params->get('show_webpage_headings')) : ?>
			<th class="item-webpage">
				<?php echo JText::_('COM_CONTACTENHANCED_WEBPAGE'); ?>
			</th>
			<?php endif; ?>
			<?php for ($i = 1; $i <= 10; $i++): ?>
				<?php if ($this->params->get('show_extrafield_'.$i.'_headings')) : ?>
				<th class="item-extra_field_<?php echo $i; ?>">
					<?php
					if($allowOrdering){
						echo JHtml::_('grid.sort', 'COM_CONTACTENHANCED_FIELD_INFORMATION_EXTRA_FIELD_'.$i.'_LABEL', 'a.extra_field_'.$i, $listDirn, $listOrder);
					}else{
						echo JText::_('COM_CONTACTENHANCED_FIELD_INFORMATION_EXTRA_FIELD_'.$i.'_LABEL');
					}
					?>
				</th>
				<?php endif; ?>
			<?php endfor; ?>

			</tr>
		</thead>
		<?php endif; ?>

		<tbody>

			<?php foreach($this->category->contacts as $i => $item) : ?>
				<?php if ($this->category->contacts[$i]->published == 0) : ?>
					<tr class="system-unpublished cat-list-row<?php echo $i % 2; ?>">
				<?php else: ?>
					<tr class="cat-list-row<?php echo $i % 2; ?>" >
				<?php endif; ?>

					<td class="item-title">
						<?php
						$item->link = JRoute::_(ContactenchancedHelperRoute::getContactRoute($item->slug, $item->catid));
						if($this->params->get( 'show_contact_image' ) == '1' AND $item->image ){
							$image = JHtml::_('image',  JURI::base(). $item->image, JText::sprintf('COM_CONTACTENHANCED_CONTACT_IMAGE_ALT',$item->name ), array('align' => 'middle', 'class'=> 'ce-contact-img-cat'));
							echo JHtml::_('link',$item->link,$image, array('class'=>'category'.$this->params->get( 'pageclass_sfx' )) );
							echo JHtml::_('link',$item->link,$item->name, array('class'=>'category'.$this->params->get( 'pageclass_sfx' )) );
						}elseif ($this->params->get( 'show_contact_image','tooltip' ) == 'tooltip' AND $item->image){
							$image = JHtml::_('image',  JURI::base(). $item->image, JText::sprintf('COM_CONTACTENHANCED_CONTACT_IMAGE_ALT',$item->name ), array('align' => 'middle', 'class'=> 'ce-contact-img-tooltip'));
							//$image	= JHTML::_('tooltip',$image,$item->name,'',$item->name);
							//echo JHTML::_('link',$item->link,$image, array('class'=>'category'.$this->params->get( 'pageclass_sfx' )) );
							echo JHtml::_('tooltip',$image,$item->name,'',$item->name, $item->link,'Tooltip', 'hasTip category'.$this->params->get( 'pageclass_sfx' ));
						}else{
							echo JHtml::_('link',$item->link,$item->name, array('class'=>'category'.$this->params->get( 'pageclass_sfx' )) );
						}
					?>
					</td>

					<?php if ($this->params->get('show_department_headings')) : ?>
						<td class="item-department">
							<?php echo $item->department; ?>
						</td>
					<?php endif; ?>

					<?php if ($this->params->get('show_position_headings')) : ?>
						<td class="item-position">
							<?php echo $item->con_position; ?>
						</td>
					<?php endif; ?>

					<?php if ($this->params->get('show_email_headings')) : ?>
						<td class="item-email">
						<?php
							if(!empty($item->email_to)){
								if($this->params->get('show_email_headings') == 'label'){
									$item->email_to = JHtml::_('email.cloak', $item->email_to, true, JText::_('JGLOBAL_EMAIL'), false);
								}elseif($this->params->get('show_email_headings') == 'link'){
									$item->email_to = JHtml::_('email.cloak', $item->email_to);
								}
							}
						?>
							<?php echo $item->email_to; ?>
						</td>
					<?php endif; ?>

					<?php if ($this->params->get('show_telephone_headings')) : ?>
						<td class="item-phone">
							<?php
								$tel	= nl2br($item->telephone);
								if($this->browser->isMobile()){
									$telLink= 'tel:'.preg_replace('[(?!\+\b)\D]', '', $tel);
									$tel	= JHtml::_('link'
														,$telLink
														,$tel
														, array('title' => JText::sprintf('COM_CONTACTENHANCED_CALL_USING_YOUR_PHONE',$tel))
														);
								}
								echo ($tel);
							?>
						</td>
					<?php endif; ?>

					<?php if ($this->params->get('show_mobile_headings')) : ?>
						<td class="item-phone">
							<?php
								$tel	= nl2br($item->mobile);
								if($this->browser->isMobile()){
									$telLink= 'tel:'.preg_replace('[(?!\+\b)\D]', '', $tel);
									$tel	= JHtml::_('link'
														,$telLink
														,$tel
														, array('title' => JText::sprintf('COM_CONTACTENHANCED_CALL_USING_YOUR_PHONE',$tel))
														);
								}
								echo ($tel);
							?>
						</td>
					<?php endif; ?>

					<?php if ($this->params->get('show_fax_headings')) : ?>
					<td class="item-phone">
						<?php echo $item->fax; ?>
					</td>
					<?php endif; ?>

					<?php if ($this->params->get('show_street_address_headings')) : ?>
					<td class="item-street-address">
						<?php echo $item->address; ?>
					</td>
					<?php endif; ?>

					<?php if ($this->params->get('show_suburb_headings')) : ?>
					<td class="item-suburb">
						<?php echo $item->suburb; ?>
					</td>
					<?php endif; ?>

					<?php if ($this->params->get('show_state_headings')) : ?>
					<td class="item-state">
						<?php echo $item->state; ?>
					</td>
					<?php endif; ?>

					<?php if ($this->params->get('show_postcode_headings')) : ?>
					<td class="item-postcode">
						<?php echo $item->postcode; ?>
					</td>
					<?php endif; ?>

					<?php if ($this->params->get('show_country_headings')) : ?>
					<td class="item-country">
						<?php echo $item->country; ?>
					</td>
					<?php endif; ?>


					<?php if ($this->params->get('show_webpage_headings')) : ?>
					<td class="item-webpage">
						<?php if ($item->webpage): ?>
							<a href="<?php echo $item->webpage; ?>" title="<?php echo $item->webpage; ?>" target="_blank">
							<?php
								if($this->params->get('show_webpage_headings') == 'trim'){
									 echo ceHelper::trimURL($item->webpage);
								}elseif($this->params->get('show_webpage_headings') == 'label'){
									 echo JText::_('COM_CONTACTENHANCED_WEBPAGE_LABEL');
								}else{
									echo $item->webpage;
								}
							?></a>
						<?php endif;  ?>
					</td>
					<?php endif; ?>

					<?php for ($i = 1; $i <= 10; $i++): ?>
						<?php if ($this->params->get('show_extrafield_'.$i.'_headings')) : ?>
						<td class="item-extra_field_<?php echo $i; ?>">
							<?php
							$field	= "extra_field_".$i;
							 echo $item->$field; ?>
						</td>
						<?php endif; ?>
					<?php endfor; ?>


				</tr>
			<?php endforeach; ?>

		</tbody>
	</table>
<?php if(!defined('CE_CATEGORY_CONTACT_END_FORM')) :?>
	<div>
		<input type="hidden" name="filter_order" value="<?php echo $listOrder; ?>" />
		<input type="hidden" name="filter_order_Dir" value="<?php echo $listDirn; ?>" />
		<input type="hidden" name="state"	value="<?php echo $this->filter_state; ?>" />
		<input type="hidden" name="country" value="<?php echo $this->filter_country; ?>" />
		<input type="hidden" name="suburb"	value="<?php echo $this->filter_suburb; ?>" />
	</div>
</form>

	<?php
	define('CE_CATEGORY_CONTACT_END_FORM',true);
	endif; ?>
<?php endif; ?>